Download it now!
Bug 135217 - FILEOPEN DOCX Empty headers size is applied instead of page top margin
Summary: FILEOPEN DOCX Empty headers size is applied instead of page top margin
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2 tar...
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Page
  Show dependency treegraph
 
Reported: 2020-07-28 10:22 UTC by NISZ LibreOffice Team
Modified: 2020-12-11 15:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer (93.49 KB, image/png)
2020-07-28 10:22 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-07-28 10:22:15 UTC
Created attachment 163682 [details]
Screenshot of the original document side by side in Word and Writer

This is followup to bug #127778
Attachment #154527 [details] has 0.25 cm top page margin set with some header contents on the first page and no header contents on the second.
After bug #127778 is fixed the second page has the header turned off in the page settings, but its size of 1.25 cm is still applied to the page as top margin instead of the 0.25 cm applied by Word.
This makes the content of the second page start lower than in Word.

Steps to reproduce:
    1. Open Attachment #154527 [details]

Actual results:
Second page has 1.25 cm top margin instead of the 0.25 cm used by Word.

Expected results:
Second page top margin is 0.25 cm.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 Xisco Faulí 2020-07-28 16:59:44 UTC
Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: b33034e7faee2cb8a602ed3342803bf731da8a8b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

and

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 2 Attila Baraksó (NISZ) 2020-10-25 11:18:30 UTC
Bibisected using linux-64-6.2 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=b7ae863efeb082816cc4fe660527a9650d90e186
author: Miklos Vajna <vmiklos@collabora.co.uk>
committer: Miklos Vajna <vmiklos@collabora.co.uk>
summary: tdf#117503 DOCX import: fix out of sync first/later top margin

Adding CC: Miklos Vajna
Comment 3 Xisco Faulí 2020-10-26 09:17:48 UTC
Adding Cc: to Miklos Vajna
Comment 4 Commit Notification 2020-12-08 07:46:52 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/29993781ac991e85bfbd61f9e076c9d8088cd3ab

tdf#135217 DOCX import: remove no longer needed top/bottom margin sync

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-12-08 14:03:02 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/d6674aaa23b34af702681beb4c0f219e6f50069c

tdf#135217 DOCX import: remove no longer needed top/bottom margin sync

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-12-11 15:22:01 UTC
Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 9df9208b7d0fd9dd49c681c3c1b546d8ca402925
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-12-11 15:22:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/863f2877fe4be1394b5d35dd18ce15cd30c1e9b7

tdf#135217 DOCX import: remove no longer needed top/bottom margin sync

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.